> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bills

## Field support per integration

<AccordionGroup>
  <Accordion title="BuchhaltungsButler" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/buchhaltungsbutler.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=3c7e3e932413af1baa050ec41ef97a10" width="24" height="24" data-path="logo/buchhaltungsbutler.svg">
    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="billDateFrom" type="string">
          Filter by from-date on the bill.<br />
          Example: `billDateFrom=2021-01-01T00:00:00Z`
        </ResponseField>

        <ResponseField name="status" type="enum">
          Filter by bill status.<br />
          Example: `status=OPEN`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="orderField" type="string">
      <Expandable title="values">
        <ResponseField name="billDate" type="string">
          Sort by bill date
        </ResponseField>

        <ResponseField name="billNumber" type="string">
          Sort by bill number
        </ResponseField>

        <ResponseField name="name" type="string">
          Sort by the name field on the bill
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="oderDir" type="object">
      Available options: `ASC`, `DESC`
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="accountId" type="string" />

    <ResponseField name="billDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="billNumber" type="string" />

    <ResponseField name="createdDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="deliveryDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="dueDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="name" type="string" />

    <ResponseField name="paidDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="status" type="enum">
      Available options: `OPEN`, `PAID`
    </ResponseField>

    <ResponseField name="totalGrossAmount" type="number" />
  </Accordion>

  <Accordion title="Business Central" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/businesscentral.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=9cdc50aa9f467133e9e9372eab83f38b" width="24" height="24" data-path="logo/businesscentral.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameters `environmentName` and `companyId` are correctly populated.
      You can obtain these values by using the `GET Environments` and `GET Companies` endpoints available under the Authentication section.
    </Note>

    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="lastModifiedAt" type="string">
          Filter by last modified date.<br />
          For date format details visit the [Standardized Data](/standardization) section.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="addresses" type="Address[]">
      <Expandable title="properties">
        <ResponseField name="type" type="enum">
          Available options: `BILLING`, `DELIVERY`
        </ResponseField>

        <ResponseField name="addressLine1" type="string" />

        <ResponseField name="addressLine2" type="string" />

        <ResponseField name="city" type="string" />

        <ResponseField name="countryCode" type="string" />

        <ResponseField name="postalCode" type="string" />
      </Expandable>
    </ResponseField>

    <ResponseField name="billDate" type="string">
      For date format details visit the [Standardized Data](/standardization) section
    </ResponseField>

    <ResponseField name="billNumber" type="string" />

    <ResponseField name="contactId" type="string" />

    <ResponseField name="currency" type="enum">
      The `currency` field supports **ISO 4217** (3-letter codes).

      For details visit the [`Standardized Data`](/standardization) section.
    </ResponseField>

    <ResponseField name="dueDate" type="string">
      For date format details visit the [Standardized Data](/standardization) section
    </ResponseField>

    <ResponseField name="lineItems" type="LineItem[]">
      <Expandable title="properties">
        <ResponseField name="id" type="string" />

        <ResponseField name="accountId" type="string" />

        <ResponseField name="description" type="string" />

        <ResponseField name="itemId" type="string" />

        <ResponseField name="quantity" type="number" />

        <ResponseField name="taxCode" type="string" />

        <ResponseField name="taxRatePercentage" type="number" />

        <ResponseField name="totalDiscountAmount" type="number" />

        <ResponseField name="totalDiscountPercentage" type="number" />

        <ResponseField name="totalGrossAmount" type="number" />

        <ResponseField name="totalNetAmount" type="number" />

        <ResponseField name="totalTaxAmount" type="number" />

        <ResponseField name="unitAmount" type="number" />

        <ResponseField name="unitName" type="string" />
      </Expandable>
    </ResponseField>

    <ResponseField name="paymentStatus" type="enum">
      Available options: `PENDING`, `PAID`, `CANCELED`, `NO_OPEN_ITEM`, `UNKNOWN`
    </ResponseField>

    <ResponseField name="reference" type="string" />

    <ResponseField name="status" type="enum">
      Available options: `DRAFT`, `SUBMITTED`, `OPEN`, `PAID`, `VOIDED`, `CORRECTIVE`
    </ResponseField>

    <ResponseField name="totalDiscountAmount" type="number" />

    <ResponseField name="totalGrossAmount" type="number" />

    <ResponseField name="totalNetAmount" type="number" />

    <ResponseField name="totalTaxAmount" type="number" />

    <ResponseField name="updatedDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>
  </Accordion>

  <Accordion title="Exact Online" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/exact.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=afa1af7a261b22f843ac73ee60896ede" width="24" height="24" data-path="logo/exact.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="lastModifiedAt" type="string">
          Filter by last modified date.<br />
          Example: `lastModifiedAt=2021-01-01T00:00:00Z`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="billDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="billNumber" type="string" />

    <ResponseField name="contactId" type="string" />

    <ResponseField name="createdDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="currency" type="enum">
      Available options (3-letter ISO 4217):
      `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR`
    </ResponseField>

    <ResponseField name="dueDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="fileId" type="string" />

    <ResponseField name="journalCode" type="string" />

    <ResponseField name="paymentReference" type="string" />

    <ResponseField name="paymentTermCode" type="string" />

    <ResponseField name="reference" type="string" />

    <ResponseField name="status" type="enum">
      Available options: `OPEN`, `PAID`, `OVERDUE`
    </ResponseField>

    <ResponseField name="totalGrossAmount" type="number" />

    <ResponseField name="totalTaxAmount" type="number" />

    <ResponseField name="updatedDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>
  </Accordion>

  <Accordion title="fortnox" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/fortnox.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=14025f10bb2d1afa587fa8447531a376" width="24" height="24" data-path="logo/fortnox.svg">
    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="lastModifiedAt" type="string">
          Filter by last modified date.<br />
          Example: `lastModifiedAt=2021-01-01T00:00:00Z`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="billDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="billNumber" type="string" />

    <ResponseField name="contactId" type="string" />

    <ResponseField name="currency" type="enum">
      Available options (3-letter ISO 4217):
      `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR`
    </ResponseField>

    <ResponseField name="dueDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="totalGrossAmount" type="number" />
  </Accordion>

  <Accordion title="Lexware Office" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=efe4da1d7b59a552d1938ec981ccbc1e" width="24" height="24" data-path="logo/lexoffice.svg">
    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="lastModifiedAt" type="string">
          Filter by last modified date. <br />
          **Note** that the timestamp shall be in the form YYYY-MM-DDT00:00:00Z (milliseconds are not supported in Lexware office)<br />
          Example: `lastModifiedAt=2021-01-01T00:00:00Z`
        </ResponseField>

        <ResponseField name="status" type="enum">
          Filter by bill status.<br />
          Example: `status=OPEN`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="orderField" type="string">
      <Expandable title="values">
        <ResponseField name="billDate" type="string">
          Sort by bill date
        </ResponseField>

        <ResponseField name="billNumber" type="string">
          Sort by bill number
        </ResponseField>

        <ResponseField name="createdDate" type="string">
          Sort by creation date
        </ResponseField>

        <ResponseField name="updatedDate" type="string">
          Sort by update date
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="oderDir" type="object">
      Available options: `ASC`, `DESC`
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="billDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="billNumber" type="string" />

    <ResponseField name="contactId" type="string" />

    <ResponseField name="createdDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="currency" type="enum">
      Available options (3-letter ISO 4217):
      `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR`
    </ResponseField>

    <ResponseField name="dueDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="name" type="string" />

    <ResponseField name="status" type="enum">
      Available options: `DRAFT`, `OPEN`, `PAID`, `OVERDUE`, `VOIDED`, `SUBMITTED`
    </ResponseField>

    <ResponseField name="totalGrossAmount" type="number" />

    <ResponseField name="updatedDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>
  </Accordion>

  <Accordion title="Qonto" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/qonto.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=61e31bd242bd814d5da2b64b610d6f64" href="/integrations/qonto" width="1100" height="1100" data-path="logo/qonto.svg">
    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="lastModifiedAt" type="string">
          Filter by last modified date.
          Example: `lastModifiedAt=2021-01-01T00:00:00Z`
        </ResponseField>

        <ResponseField name="status" type="enum">
          Filter by bill status.<br />
          Example: `status=OPEN`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="orderField" type="string">
      <Expandable title="values">
        <ResponseField name="createdDate" type="string">
          Sort by creation date
        </ResponseField>

        <ResponseField name="updatedDate" type="string">
          Sort by update date
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="oderDir" type="object">
      Available options: `ASC`, `DESC`
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="billDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="billNumber" type="string" />

    <ResponseField name="contactId" type="string" />

    <ResponseField name="createdDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="currency" type="enum">
      Available options (3-letter ISO 4217):
      `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR`
    </ResponseField>

    <ResponseField name="dueDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="fileId" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="paidDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="status" type="enum">
      Available options: `DRAFT`,`SUBMITTED`, `OPEN`, `PAID`,`VOIDED`
    </ResponseField>

    <ResponseField name="totalGrossAmount" type="number" />

    <ResponseField name="updatedDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>
  </Accordion>

  <Accordion title="sevdesk" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=2b266052b2531cf2995f78c2aecf6019" width="24" height="24" data-path="logo/sevdesk.svg">
    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="lastModifiedAt" type="string">
          Filter by last modified date.
          Example: `lastModifiedAt=2021-01-01T00:00:00Z`
        </ResponseField>

        <ResponseField name="status" type="enum">
          Filter by bill status.<br />
          Example: `status=OPEN`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="billDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="billNumber" type="string" />

    <ResponseField name="contactId" type="string" />

    <ResponseField name="createdDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="currency" type="enum">
      The `currency` field supports **ISO 4217 alpha-3** (3-letter codes).
      For details visits the [`Standardized Data`](/standardization) section.
    </ResponseField>

    <ResponseField name="deliveryDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="dueDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="fileId" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="paidDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="status" type="enum">
      Available options: `DRAFT`, `SUBMITTED`, `OPEN`, `PARTIALLY_PAID`, `PAID`
    </ResponseField>

    <ResponseField name="totalGrossAmount" type="number" />

    <ResponseField name="totalNetAmount" type="number" />

    <ResponseField name="updatedDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml get /accounting/bills
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/bills:
    get:
      tags:
        - accounting
      operationId: getBills
      parameters:
        - name: page
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            enum:
              - 5
              - 10
              - 20
              - 50
              - 100
            type: number
        - name: orderDir
          required: false
          in: query
          schema:
            enum:
              - ASC
              - DESC
            type: string
        - name: orderField
          required: false
          in: query
          schema:
            enum:
              - billlDate
              - billNumber
              - createdDate
              - updatedDate
            type: string
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: environmentName
          in: query
          schema:
            type: string
          required: false
        - name: lastModifiedAt
          required: false
          in: query
          schema:
            type: number
        - name: billDateFrom
          required: false
          in: query
          schema:
            type: number
        - name: status
          required: false
          in: query
          schema:
            type: string
        - name: rawData
          required: false
          in: query
          schema:
            type: boolean
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
          required: true
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/BillResponseDto'
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    BillResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 9714f3a2-5b8e-4d1b-8a0c-9f6e7d2f3e4b
        accountId:
          type: string
          example: 6733a433-9662-4a40-8e36-e38ebda94fe1
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/Address'
        billDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        billNumber:
          type: string
          example: '1020'
        contactId:
          type: string
          example: eaa28f49-6028-4b6e-bb12-d8f6278073fc
        createdDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        currency:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - CHF
            - CLP
            - CNY
            - COP
            - CRC
            - CUC
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EEK
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GQE
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LTL
            - LVL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZM
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - UYU
            - UZS
            - VEB
            - VND
            - VUV
            - WST
            - XAF
            - XCD
            - XDR
            - XOF
            - XPF
            - YER
            - ZAR
            - ZMK
            - ZWR
          example: EUR
        deliveryDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        dueDate:
          type: string
          example: '2021-07-01T00:00:00Z'
        fileId:
          type: string
          example: 93c6b8e0-80a4-4c22-a46c-18beebab82d6
        journalCode:
          type: string
          example: '30'
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/BillLineItem'
        name:
          type: string
          example: Office Supplies
        oneLineAddress:
          type: string
          example: Main street 45, Berlin
        paidDate:
          type: string
          example: '2021-01-25T00:00:00Z'
        paymentDays:
          type: number
          example: 30
        paymentReference:
          type: string
          example: Edefad142e764894
        paymentStatus:
          type: string
          example: PENDING
          enum:
            - NO_OPEN_ITEM
            - PENDING
            - PAID
            - PARTLY_PAID
            - CANCELED
            - PARTIAL_CANCELLATION
            - BAD_DEBT
            - DEBITED
            - CREDIT_NOTE_CLEARED
            - CLEARED_WITH_CREDIT_NOTE
            - UNKNOWN
        paymentTermCode:
          type: string
          example: '21'
        reference:
          type: string
          example: 026 / 245
        shippingDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        shippingType:
          type: string
          example: DELIVERY
          enum:
            - SERVICE
            - SERVICE_PERIOD
            - DELIVERY
            - DELIVERY_PERIOD
        status:
          type: string
          example: DRAFT
          enum:
            - DRAFT
            - CORRECTIVE
            - SUBMITTED
            - DOCUMENT_CREATED
            - OPEN
            - PARTIALLY_PAID
            - PAID
            - PARTIALLY_OVERDUE
            - OVERDUE
            - VOIDED
        taxRule:
          type: string
          example: NET
          enum:
            - NET
            - TAXFREE
            - INTRACOMMUNITY_GOODS
            - INTRACOMMUNITY_SERVICE
            - EXPORT_SERVICE
            - EXPORT_GOODS
            - REVERSE_CHARGE
            - GROSS
            - CONSTRUCTION_SERVICE
            - PHOTOVOLTAIC_EQUIPMENT
            - SMALL_BUSINESS_VAT_EXEMPTION
            - NON_DOMESTIC_SERVICE
            - OSS_GOODS
            - OSS_ELECTRONIC_SERVICES
            - OSS_SERVICES
        taxText:
          type: string
          example: Tax 19 percent
        totalDiscountAmount:
          type: number
          example: 10
        totalDiscountPercentage:
          type: number
          example: 10
        totalGrossAmount:
          type: number
          example: 109
        totalNetAmount:
          type: number
          example: 100
        totalTaxAmount:
          type: number
          example: 19
        updatedDate:
          type: string
          example: '2021-01-01T00:00:00Z'
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    Address:
      type: object
      properties:
        addressLine1:
          type: string
          example: Main street 45
        addressLine2:
          type: string
          example: 2nd floor
        city:
          type: string
          example: Berlin
        countryCode:
          type: string
          enum:
            - AD
            - AE
            - AF
            - AG
            - AI
            - AL
            - AM
            - AO
            - AQ
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BF
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BV
            - BW
            - BY
            - BZ
            - CA
            - CC
            - CD
            - CF
            - CG
            - CH
            - CI
            - CK
            - CL
            - CM
            - CN
            - CO
            - CR
            - CU
            - CV
            - CW
            - CX
            - CY
            - CZ
            - DE
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EC
            - EE
            - EG
            - EH
            - ER
            - ES
            - ET
            - FI
            - FJ
            - FK
            - FM
            - FO
            - FR
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GS
            - GT
            - GU
            - GW
            - GY
            - HK
            - HM
            - HN
            - HR
            - HT
            - HU
            - ID
            - IE
            - IL
            - IM
            - IN
            - IO
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NF
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PT
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SG
            - SH
            - SI
            - SJ
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SV
            - SX
            - SY
            - SZ
            - TC
            - TD
            - TF
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - UM
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - YE
            - YT
            - ZA
            - ZM
            - ZW
          example: DE
        postalCode:
          type: string
          example: '10243'
        type:
          type: string
          enum:
            - BILLING
            - DELIVERY
            - SELLING
          example: BILLING
    BillLineItem:
      type: object
      properties:
        id:
          type: string
          example: 987a2b3c-4d5e-6f7g-8h9i-0j1k2l3m4n5o
        accountId:
          type: string
          example: 6733a433-9662-4a40-8e36-e38ebda94fe1
        accountNumber:
          type: string
          example: '200'
        createdDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        deferredEndDate:
          type: string
          example: '2021-06-01T00:00:00Z'
        deferredStartDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        description:
          type: string
          example: SEOUL Guest Chair, red
        dimensions:
          type: array
          items:
            $ref: '#/components/schemas/LineItemDimension'
        itemId:
          type: string
          example: 4f3a2hf4-5b8e-4d1b-8a0c-9f6e7d2f3e4b
        itemName:
          type: string
          example: RED CHAIR
        quantity:
          type: number
          example: 1
        taxCode:
          type: string
          example: '03'
        taxRatePercentage:
          type: number
          example: 19
        totalDiscountAmount:
          type: number
          example: 10
        totalDiscountPercentage:
          type: number
          example: 10
        totalGrossAmount:
          type: number
          example: 109
        totalNetAmount:
          type: number
          example: 100
        totalTaxAmount:
          type: number
          example: 19
        unitAmount:
          type: number
          example: 100
        unitDiscountAmount:
          type: number
          example: 10
        unitDiscountPercentage:
          type: number
          example: 10
        unitName:
          type: string
          example: PIECE
        updatedDate:
          type: string
          example: '2021-01-01T00:00:00Z'
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3
    LineItemDimension:
      type: object
      properties:
        name:
          type: string
          example: C1
        categoryName:
          type: string
          example: CostCenter

````